.modal {
    position: fixed;
    left: 0;
    top: 0;
    padding-top: 5%;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.4);
    z-index: 1;
}

.hide {
    display: none;
}

.modal-content {
    position: relative;
    width: 60%;
    background-color: white;
    margin: auto;
    border: 1px solid black;
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2);
    animation: modalActive 0.5s ease-in
}

.modal-header {
    padding: 0.1%;
    color: white;
    padding: 2%;
    background-color: darkslategray;
}

.modal .close {
    color: white;
    float: right;
    font-weight: bold;
}

.modal .close:hover {
    color: red;
    cursor: pointer;
}

.modal-title {
    color: white;
    width: 100%;
    font-weight: bold;
}

.modal-body {
    padding: 1%;
    background-color: white;
    color: black;
}


@keyframes modalActive {
    0% {
        transform: translateY(-400px);
        opacity: 0;
    }
    50% {
        opacity: 0.5;
    }
    100% {
        transform: translateY(0);
        opacity: 1;
    }
}

@keyframes modalHide {
    0% {
        transform: translateY(0);
        opacity: 1;
    }
    50% {
        opacity: 0.5;
    }
    100% {
        transform: translateY(-400px);
        opacity: 0;
    }
}
